Package com.collabnet.ce.soap60.webservices.team

# Class TeamSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.team.TeamSoapDO

public class TeamSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
A Team is a collection of one or more team members.

Since:
  8.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TeamSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns 'description'.
  `String[]`
  `getMemberUserNames()`
  Returns 'memberUserNames'.
  `String`
  `getParentTeamId()`
  Returns 'parentTeamId'.
  `String`
  `getProjectId()`
  Returns 'projectId'.
  `String`
  `getTeamOwnerUserName()`
  Returns 'teamOwnerUserName'.
  `String`
  `getTitle()`
  Returns 'title'.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  `void`
  `setDescription(String description)`
  Sets 'description'.
  `void`
  `setMemberUserNames(String[] memberUserNames)`
  Sets 'memberUserNames'.
  `void`
  `setParentTeamId(String parentTeamId)`
  Sets 'parentTeamId'.
  `void`
  `setProjectId(String projectId)`
  Sets 'projectId'.
  `void`
  `setTeamOwnerUserName(String teamOwnerUserName)`
  Sets 'teamOwnerUserName'.
  `void`
  `setTitle(String title)`
  Sets 'title'.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TeamSoapDO

    public TeamSoapDO()

- ## Method Details

  - ### getTitle

    public String getTitle()
    Returns 'title'. The team title.
    Returns:
      Value of 'title'.

  - ### setTitle

    public void setTitle(String title)
    Sets 'title'. The team title.
    Parameters:
      `title` - Value of 'title'.

  - ### getDescription

    public String getDescription()
    Returns 'description'. The team description.
    Returns:
      Value of 'description'.

  - ### setDescription

    public void setDescription(String description)
    Sets 'description'. The team description.
    Parameters:
      `description` - Value of 'description'.

  - ### getParentTeamId

    public String getParentTeamId()
    Returns 'parentTeamId'. The parent team id.
    Returns:
      Value of 'parentTeamId'.

  - ### setParentTeamId

    public void setParentTeamId(String parentTeamId)
    Sets 'parentTeamId'. The parent team id.
    Parameters:
      `parentTeamId` - Value of 'parentTeamId'.

  - ### getTeamOwnerUserName

    public String getTeamOwnerUserName()
    Returns 'teamOwnerUserName'. The user name of the team owner.
    Returns:
      Value of 'teamOwnerUserName'.

  - ### setTeamOwnerUserName

    public void setTeamOwnerUserName(String teamOwnerUserName)
    Sets 'teamOwnerUserName'. The user name of the team owner.
    Parameters:
      `teamOwnerUserName` - Value of 'teamOwnerUserName'.

  - ### getProjectId

    public String getProjectId()
    Returns 'projectId'. The project id.
    Returns:
      Value of 'projectId'.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets 'projectId'. The project id.
    Parameters:
      `projectId` - Value of 'projectId'.

  - ### getMemberUserNames

    public String[] getMemberUserNames()
    Returns 'memberUserNames'. Team member user names
    Returns:
      Value of 'memberUserNames'.

  - ### setMemberUserNames

    public void setMemberUserNames(String[] memberUserNames)
    Sets 'memberUserNames'. Team member user names
    Parameters:
      `memberUserNames` - Value of 'memberUserNames'.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)